#include <bits/stdc++.h>
using namespace std;

string s;
long long x,y;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cin>> s;
    for(long long i=0;i<s.size();i++){
        if(s[i]=='L') x--;
        else if(s[i]=='D') y--;
        else if(s[i]=='R') x++;
        else if(s[i]=='U') y++;
    }
    if(y<0){
        for(long long i=y;i<0;i++){
            cout<< "U";
        }
    }else{
        for(long long i=0;i<y;i++){
            cout<< "D";
        }
    }
    if(x<0){
        for(long long i=x;i<0;i++){
            cout<< "R";
        }
    }else{
        for(long long i=0;i<x;i++){
            cout<< "L";
        }
    }





    return 0;
}